jQuery(document).ready(function($){

	/*------------------------------------------------
                GALLERY PORTFOLIO
	------------------------------------------------*/

	var $container = $('.portfolio-wrapper'),
	    colWidth = function () {
	        var w = $container.width(), 
	            columnNum = 1,
	            columnWidth = 0;
	        if (w > 1200) {
	            columnNum  = 4;
	        } 
	        else if (w > 900) {
	            columnNum  = 4;
	        } 
	        else if (w > 600) {
	            columnNum  = 3;
	        } 
	        else if (w > 300) {
	            columnNum  = 2;
	        }
	        columnWidth = Math.floor(w/columnNum);
	        $container.find('.portfolio-item').each(function() {
	            var $item = $(this),
	                multiplier_w = $item.attr('class').match(/item-w(\d)/),
	                multiplier_h = $item.attr('class').match(/item-h(\d)/),
	                width = multiplier_w ? columnWidth*multiplier_w[1]-0 : columnWidth-5,
	                height = multiplier_h ? columnWidth*multiplier_h[1]*1-5 : columnWidth*0.5-5;
	            $item.css({
	                width: width,
	                height: height
	            });
	        });
	        return columnWidth;
	    }
	                
	    function refreshWaypoints() {
	        setTimeout(function() {
	        }, 1000);   
	    }
	                
	    $('nav.portfolio-filter ul a').on('click', function() {
	        var selector = $(this).attr('data-filter');
	        $container.isotope({ filter: selector }, refreshWaypoints());
	        $('nav.portfolio-filter ul li').removeClass('active');
	        $(this).parent().addClass('active');
	        return false;
	    });

	    isotope = function () {
	        $container.isotope({
	            resizable: true,
	            itemSelector: '.portfolio-item',
	            layoutMode : 'masonry',
	            gutter: 20,
	            masonry: {
	                columnWidth: colWidth(),
	                gutterWidth: 20
	            }
	        });
	    };
	isotope();

	var pageNumber = 1;

	function kids_education_pro_load_posts(){
	    pageNumber++;

	    $.ajax({
	        type: "POST",
	        dataType: "html",
	        url: myAjax.ajaxurl,
	        data: {action: 'my_ajax_handler',
	            pageNumber: pageNumber
	        },
	        success: function(data){
	            if( data.length > 0 ){
	                $('.portfolio-wrapper').append(data).masonry();
	                $container.isotope( 'reloadItems' );
	                isotope( 'reLayout', true );
	                $("#loadmore").removeClass("hide");
	            } else {
	                $("#loadmore").addClass("hide");
	            }
	        },
	        error : function(jqXHR, textStatus, errorThrown) {
	            $loader.html(jqXHR + " :: " + textStatus + " :: " + errorThrown);
	        }

	    });
	    return false;
	}


	$('#loadmore').removeAttr('href');
	$("#loadmore").on("click",function(){ // When btn is pressed.
	    $("#loadmore").addClass("hide");
	    kids_education_pro_load_posts();
	});

});